//*************************************
// doc_onload
//*************************************
function doc_onload() 
{
	try	{
		//
		// Init NodeView tabs state
		//
		nwTabFw.state = NodeViewCtrl.ShowFw ? 1 : 0;
		nwTabL.state = NodeViewCtrl.ShowLimits ? 1 : 0;
		nwTabG.state = NodeViewCtrl.ShowGrants ? 1 : 0;

		tab = NodeViewCtrl.tab;
		nwTabOn.state = tab == "online" ? 1 : 0;
		nwTabOff.state = tab == "offline" ? 1 : 0;
		nwTabHidden.state = tab == "hidden" ? 1 : 0;
		nwTabAll.state = tab == "all" ? 1 : 0;

		if (!nwTabAll.htc) 
			NodeViewCtrl.tab = "all";
		else
		{
			//
			// Init NodeView tabs events
			//
			nwTabFw.onchange = nwTabFw.onclick/*IE50*/ = function () {
				NodeViewCtrl.ShowFw = this.state;
			};
			nwTabL.onchange = nwTabL.onclick/*IE50*/ = function () {
				NodeViewCtrl.ShowLimits = this.state;
			};
			nwTabG.onchange = nwTabG.onclick/*IE50*/ = function () {
				NodeViewCtrl.ShowGrants = this.state;
			};
			nwTabOn.onchange = function () {
				if (this.state)
					NodeViewCtrl.tab = "online";
			}
			nwTabOff.onchange = function () {
				if (this.state)
					NodeViewCtrl.tab = "offline";
			}
			nwTabHidden.onchange = function () {
				if (this.state)
					NodeViewCtrl.tab = "hidden";
			}
			nwTabAll.onchange = function () {
				if (this.state)
					NodeViewCtrl.tab = "all";
			}
		}
		
	}
	catch (e) {
	}
}

//*************************************
// on_units_selected
//*************************************
function on_units_selected(units)
{
	try {
		window.external.units = units;
	}
	catch(e){}
}
//*************************************
// on_data_type_selected
//*************************************
function on_data_type_selected(dataType)
{
	try {
		window.external.dataType = dataType;
	}
	catch(e){}
}